#pragma once

#ifdef __cplusplus
extern "C" {
#endif
#include "device/bmi088.h"
#include "component/ahrs.h"
typedef struct {
    float z;  
    float v;  
    float P[2][2]; 
    float Q_z, Q_v; 
    float R;       
} AltitudeKalman;

void AltKalman_Init(AltitudeKalman* kf);
void AltKalman_Update(AltitudeKalman* kf, float accel_z, float baro_alt, float dt);
#ifdef __cplusplus
}
#endif
